New Search

Mozilla Firefox Plugin Parameter Reference Remote Code Execution Vulnerability

oval:org.mitre.oval:def:11961

layout/generic/nsObjectFrame.cpp in Mozilla Firefox 3.6.7 does not properly free memory in the parameter array of a plugin instance which allows remote attackers to cause a denial of service (memory corruption) or possibly execute arbitrary code via a crafted HTML document related to the DATA and SRC attributes of an OBJECT element. NOTE: this vulnerability exists because of an incorrect fix for CVE-2010-1214.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows XP
  • Microsoft Windows Server 2008
  • Microsoft Windows 7
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows 2000
Class:
vulnerability
Reference(s):
  • CVE-2010-2755
Product(s):
  • Mozilla Firefox